Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a connection
        • Retrieve connections
        • Retrieve a connection
        • Update a connection
        • Test a connection
  1. REST API Connection
  1. Sitecore Personalize developer documentation
  2. REST APIs

Retrieve connections

GET /v2/connections

Retrieves a list of available connections.

In the response, items.ref contains the connection reference.

You use the connection reference to interact with the individual connection, for example, to retrieve or update it.

curl -X GET '<baseURL>/v2/connections' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{
   "href":"<baseURL>/v2/connections",
   "items":[
      {
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/connections/65aeee1b-d0ba-478b-ac97-a6fced1b2a4a",
         "ref":"65aeee1b-d0ba-478b-ac97-a6fced1b2a4a",
         "name":"First web service",
         "description":"first service",
         "modifiedByRef":"bfe5bd9a-f37b-4b9d-a3e4-169674d251ea",
         "modifiedAt":"2026-07-02T14:`04:58`.347Z",
         "revision":1,
         "archived":false,
         "auth":{
            "authType":"OAUTH",
            "clientId":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
            "accessTokenUrl":"<baseURL>/v2/oauth/token",
            "useMutualTls":false,
            "oauthCustomHeaders":[

            ],
            "formUrlEncodedItems":[

            ]
         },
         "request":{
            "requestType":"GET",
            "connectionUrl":"<baseURL>/v2/decisionModelDefinitions/36b56832-e5b4-46ac-856d-7ae2dd26e94c"
         },
         "exampleValue":"",
         "inputMappings":[

         ],
         "outputMappings":[
            {
               "label":"Archived",
               "outputReference":"archived",
               "type":"boolean"
            },
            {
               "label":"Client Key",
               "outputReference":"clientKey",
               "type":"string"
            },
            {
               "label":"Description",
               "outputReference":"description",
               "type":"string"
            },
            {
               "label":"Href",
               "outputReference":"href",
               "type":"string"
            },
            {
               "label":"Modified At",
               "outputReference":"modifiedAt",
               "type":"number"
            },
            {
               "label":"Modified By User Ref",
               "outputReference":"modifiedByUserRef",
               "type":"string"
            },
            {
               "label":"Name",
               "outputReference":"name",
               "type":"string"
            },
            {
               "label":"Ref",
               "outputReference":"ref",
               "type":"string"
            },
            {
               "label":"Revision",
               "outputReference":"revision",
               "type":"number"
            }
         ],
         "customHeaders":[
            {
               "name":"Content-Type",
               "value":"application/json"
            }
         ],
         "urlParameters":[

         ],
         "systemType":"DATA_SYSTEM",
         "connectionTimeout":1000,
         "socketTimeout":1000,
         "icon":"assets/images/icons/connections/infare.png"
      }
   ]
}
If you have suggestions for improving this article, let us know!

© Copyright , Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use
PersonalizeCloud Portal